### Class

# Atspi MatchRule

#### Description [src]

    class Atspi.MatchRule : GObject.Object
    {
      states: AtspiStateSet*,
      statematchtype: AtspiCollectionMatchType,
      attributes: GHashTable*,
      attributematchtype: AtspiCollectionMatchType,
      interfaces: GArray*,
      interfacematchtype: AtspiCollectionMatchType,
      roles: None,
      rolematchtype: AtspiCollectionMatchType,
      invert: gboolean
    }

An interface that allows the definition of match rules for accessible objects.

#### Ancestors

- GObject

#### Constructors

###### atspi_match_rule_new

Creates a new `AtspiMatchRule` with specified `states`, `attributes`, `interfaces`, and `roles`.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtspiMatchRuleClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.